#!/bin/bash

# Find the active session
session_id=$(loginctl list-sessions --no-legend | awk '{print $1}')
if [ -n "$session_id" ]; then
    # Lock the active session
    loginctl lock-session "$session_id"
    echo "Locked session $session_id"
else
    echo "No active session found."
fi